### Virtual Method

# EDataServer SourceCredentialsProviderImpl can_process

since: 3.16

#### Declaration [src]

    gboolean
    can_process (
      ESourceCredentialsProviderImpl* provider_impl,
      ESource* source
    )

#### Description [src]

Returns whether the `provider_impl` can process credentials for the `source`.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the `provider_impl` can process credentials for the `source`.